GearmanJob::sendFail
GearmanJob::sendWarning
GearmanJob
PHP Manual

# GearmanJob::sendStatus

Send status

### Description

public bool GearmanJob::sendStatus ( int `$numerator` , int `$denominator` )

Sends status information to the job server and any listening clients. Use this to specify what percentage of the job has been completed.

### Parameters

`numerator`

  The numerator of the precentage completed expressed as a fraction.

`denominator`

  The denominator of the precentage completed expressed as a fraction.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::jobStatus
- GearmanTask::taskDenominator
- GearmanTask::taskNumerator